Summary:   Postfix Mail Transport Agent
Name:      postfix
Version:   19990317-pl04
Release:   1
URL:       http://www.postfix.org/
Source0:   ftp://postfix.cloud9.net/%{name}-%{version}.tar.gz
Source1:   postfix.aliases
Source2:   postfix.cron
Source3:   postfix.init
Patch:     postfix-main.cf.patch
Copyright: Distributable
Group:     Networking/Daemons
Provides:  smtpdaemon
Conflicts: sendmail
Requires:  procmail
Prereq:    /sbin/chkconfig
Obsoletes: postfix-beta
BuildRoot: /tmp/%{name}-%{version}-root

%description
Postfix aims to be an alternative to the widely-used sendmail
program.  Sendmail is responsible for 70 percent of all e-mail delivered
on the Internet.  With an estimated 100 million users, that's an
estimated 10 billion (10^10) messages daily. A stunning number.

Although IBM supported the Postfix development, it abstains from
control over its evolution. The goal is to have Postfix installed
on as many systems as possible. To this end, the software is given
away with no strings attached to it, so that it can evolve with
input from and under control by its users.

%prep
%setup -q

%patch -p1

%build
make DEBUG="" OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
rm -f html/Makefile.in

install -d $RPM_BUILD_ROOT/etc/cron.daily
install -d $RPM_BUILD_ROOT/etc/postfix
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/postfix
install -d $RPM_BUILD_ROOT/usr/man/man{1,5,8}
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/var/spool/postfix

install -m755 bin/sendmail bin/post* $RPM_BUILD_ROOT/usr/sbin
install -m755 `ls bin/*|egrep -v 'post|fsstone|smtp-|sendmail'` $RPM_BUILD_ROOT/usr/lib/postfix
install -m644 conf/access $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/canonical $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/main.cf $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/master.cf $RPM_BUILD_ROOT/etc/postfix
install -m755 conf/postfix-script-nosgid $RPM_BUILD_ROOT/etc/postfix/postfix-script
install -m644 conf/relocated $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/transport $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/virtual $RPM_BUILD_ROOT/etc/postfix
install -m644 man/man1/* $RPM_BUILD_ROOT/usr/man/man1
install -m644 man/man5/* $RPM_BUILD_ROOT/usr/man/man5
install -m644 man/man8/* $RPM_BUILD_ROOT/usr/man/man8

install -d sample; install -m644 conf/sample* sample

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/postfix/aliases
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/postfix
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix

ln -sf postfix/aliases $RPM_BUILD_ROOT/etc/aliases

( cd $RPM_BUILD_ROOT/usr/bin
  ln -sf ../sbin/sendmail mailq
  ln -sf ../sbin/sendmail newaliases
)

for I in etc/postfix/{aliases,access,canonical,relocated,transport,virtual}
do
   touch $RPM_BUILD_ROOT/$I{,.db}
done

strip $RPM_BUILD_ROOT/usr/{sbin/*,lib/postfix/*} || :

%pre
if [ `grep postfix /etc/passwd | wc -l` = 0 ]; then
   /usr/sbin/useradd -M -r -d /var/spool/postfix -s "" \
                     -c "postfix" postfix || :
fi
if [ -f /var/lock/subsys/postfix ]; then
   /etc/rc.d/init.d/postfix stop
fi

%post
/sbin/chkconfig --add postfix

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/postfix ]; then
      /etc/rc.d/init.d/postfix stop
   fi
   /sbin/chkconfig --del postfix
fi

%postun
if [ $1 = 0 ]; then
   if [ `grep postfix /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel postfix
      /usr/sbin/groupdel postfix
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc html sample 0README COMPATIBILITY HISTORY LICENSE RELEASE_NOTES TODO
/etc/aliases
%config /etc/cron.daily/postfix
%dir /etc/postfix
%config /etc/postfix/aliases
%ghost /etc/postfix/aliases.db
%config /etc/postfix/access
%ghost /etc/postfix/access.db
%config /etc/postfix/canonical
%ghost /etc/postfix/canonical.db
%config /etc/postfix/main.cf
%config /etc/postfix/master.cf
%config /etc/postfix/postfix-script
%config /etc/postfix/relocated
%ghost /etc/postfix/relocated.db
%config /etc/postfix/transport
%ghost /etc/postfix/transport.db
%config /etc/postfix/virtual
%ghost /etc/postfix/virtual.db
%config /etc/rc.d/init.d/postfix
/usr/bin/*
/usr/lib/postfix
/usr/sbin/*
%attr(-,root,man) /usr/man/*/*
/var/spool/postfix

%changelog
* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl04-1]

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl03-2]
- Castro, Castro, pay attention my friend. You're making it very hard
  maintaining the package if you don't follow the flow of the releases

* Thu Mar 25 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl02-1]

* Tue Mar 23 1999 Arne Coucheron <arneco@online.no>
  [19990317-3]
- added bugfix patch01

* Sat Mar 20 1999 Arne Coucheron <arneco@online.no>
  [19990317-2]
- removed the mynetworks line in main.cf, let postfix figure it out
- striping of the files in /usr/sbin
- alias database moved to /etc/postfix and made a symlink to it in /etc
- enabled procmail support in main.cf and added it to Requires:
- check status on master instead of postfix in the init script
- obsoletes postfix-beta
- had to move some of my latest changelog entries up here since Edgard Castro
  didn't follow my releases

* Thu Mar 18 1999 Edgard Castro <castro@usmatrix.net>
  [19990317]

* Tue Mar 16 1999 Edgard Castro <castro@usmatrix.net>
  [alpha-19990315]

* Tue Mar  9 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-2]
- shell and gecho information changed to complie with Red Hat stardand
- changed the name of the rpm package to postfix, instead of postfix-beta

* Tue Feb 16 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-1]

* Sun Jan 24 1999 Arne Coucheron <arneco@online.no>
  [19990122-1]
- shell for postfix user changed to /bin/true to avoid logins to the account
- files in /usr/libexec/postfix moved to /usr/lib/postfix since this complies
  more with the Red Hat standard

* Wed Jan 06 1999 Arne Coucheron <arneco@online.no>
  [19981230-2]
- added URL for the source
- added a cron job for daily check of errors
- sample config files moved from /etc/postfix/sample to the docdir 
- dropped making of symlinks in /usr/sbin and instead installing the real
  files there
- because of the previous they're not needed anymore in /usr/libexec/postfix,
  so they are removed from that place

* Fri Jan 01 1999 Arne Coucheron <arneco@online.no>
  [19981230-1]

* Tue Dec 29 1998 Arne Coucheron <arneco@online.no>
  [19981222-1]
- first build of rpm version